# GET /auto-schedules/:schedule_id

**Resource:** [Auto Schedules](./auto-schedules.md)  
**MCP tool:** `get_auto_schedule`  
**Scopes:** `schedules:read`  
**Write operation:** no

Fetch an event schedule by UUID.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `schedule_id` | path | string | yes |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/auto-schedules/:schedule_id"   -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "id": "a1b2c3d4-...",
    "name": "Weekly Pipeline Review",
    "description": "Fires every Monday 9am AEST",
    "is_active": true,
    "cron_expression": "0 9 * * 1",
    "timezone": "Australia/Sydney",
    "source_kind": "workflow_stage",
    "source_config": { "pipeline_id": "f12856fc-9fb7-434a-9faf-01fc2671d31f", "stage_ids": ["3fb4ad55-304a-48c7-8c6e-9b8ec389a853"], "batch_size": 100 },
    "row_cooldown_days": 7,
    "automation_id": "b2c3d4e5-...",
    "next_run_at": "2026-04-21T23:00:00+00:00",
    "last_run_at": "2026-04-14T23:00:00+00:00",
    "run_count": 3,
    "max_runs": null,
    "end_at": null,
    "created_at": "2026-04-01T00:00:00Z",
    "updated_at": "2026-04-14T23:00:00Z"
  },
  "meta": { "credits_remaining": 9989 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`